efl::eina::_inlist_access_traits Struct Reference

Data Structures | Static Public Member Functions
efl::eina::_inlist_access_traits Struct Reference
Eina C++Eina C++ » | Data Types » Containers » Inline List

## Data Structures
struct | const_iterator
struct | const_native_handle
struct | iterator
struct | native_handle

## Static Public Member Functions
template<typename T >
static Eina_Inlist * | native_handle_from_const (Eina_Inlist const *list)
template<typename T >
static std::size_t | size (Eina_Inlist const *list)
template<typename T >
static bool | empty (Eina_Inlist const *list)
template<typename T >
static T & | back (Eina_Inlist *list)
template<typename T >
static T const & | back (Eina_Inlist const *list)
template<typename T >
static T & | front (Eina_Inlist *list)
template<typename T >
static T const & | front (Eina_Inlist const *list)
template<typename T >
static _inlist_iterator< T const > | begin (Eina_Inlist const *list)
template<typename T >
static _inlist_iterator< T const > | end (Eina_Inlist const *list)
template<typename T >
static _inlist_iterator< T > | begin (Eina_Inlist *list)
template<typename T >
static _inlist_iterator< T > | end (Eina_Inlist *list)
template<typename T >
static std::reverse_iterator< _inlist_iterator< T > > | rbegin (Eina_Inlist *list)
template<typename T >
static std::reverse_iterator< _inlist_iterator< T > > | rend (Eina_Inlist *list)
template<typename T >
static std::reverse_iterator< _inlist_iterator< T const > > | rbegin (Eina_Inlist const *list)
template<typename T >
static std::reverse_iterator< _inlist_iterator< T const > > | rend (Eina_Inlist const *list)
template<typename T >
static _inlist_iterator< T const > | cbegin (Eina_Inlist const *list)
template<typename T >
static _inlist_iterator< T const > | cend (Eina_Inlist const *list)
template<typename T >
static std::reverse_iterator< _inlist_iterator< T const > > | crbegin (Eina_Inlist const *list)
template<typename T >
static std::reverse_iterator< _inlist_iterator< T const > > | crend (Eina_Inlist const *list)